import request from '@/utils/request'

// 查询流量处理结果列表
export function listFlowresult(query) {
  return request({
    url: '/plc/flowresult/list',
    method: 'get',
    params: query
  })
}

// 查询流量处理结果详细
export function getFlowresult(id) {
  return request({
    url: '/plc/flowresult/' + id,
    method: 'get'
  })
}

// 新增流量处理结果
export function addFlowresult(data) {
  return request({
    url: '/plc/flowresult',
    method: 'post',
    data: data
  })
}

// 修改流量处理结果
export function updateFlowresult(data) {
  return request({
    url: '/plc/flowresult',
    method: 'put',
    data: data
  })
}

// 删除流量处理结果
export function delFlowresult(id) {
  return request({
    url: '/plc/flowresult/' + id,
    method: 'delete'
  })
}
